Validate a code
curl --request POST \
--url https://api.wavix.com/v1/two-fa/verification/{session_id}/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "123456"
}
'import requests
url = "https://api.wavix.com/v1/two-fa/verification/{session_id}/check"
payload = { "code": "123456" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '123456'})
};
fetch('https://api.wavix.com/v1/two-fa/verification/{session_id}/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"is_valid": true
}{
"success": false,
"message": "Request validation errors: Field \"code\" is required"
}{
"success": false,
"message": "The service is not provisioned for your account."
}2FA
Validate a code
Validates the OTP submitted by the end user against the verification identified by session_id.
POST
/
v1
/
two-fa
/
verification
/
{session_id}
/
check
Validate a code
Authorizations
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Path Parameters
The unique ID of the 2FA verification session.
Example:
"2953d4308f2e11ecb75fcdafd6d2d687"
Body
application/json
OTP to validate.
The code entered by an end user
Example:
"123456"
Response
Returns the validation result in is_valid.
Indicates whether the entered code is valid
Example:
true
Was this page helpful?
⌘I